> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-dfb0ffc0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Assessment Taken

> 
When an assessment linked to the appointment is completed, a webhook event is sent to registered webhooks with details about the appointment, including the appointment ID, status, doctor ID, patient ID, and event type.

**Field Definitions**

• **event**: string - The type of resource for which event is generated. Here, it will be `appointment.assessments.taken`.

• **service**: string - The type of service. For appointments, this will be `appointment`.

• **data**: object - Contains detailed information about the appointment event.

• **appointment_id**: string - Unique identifier for the appointment.

• **doctor_id**: string - Unique identifier for the doctor.

• **patient_id**: string - Unique identifier for the patient.

• **status**: string - Status of the appointment. Possible values can be 

  - "BK" (Booked),

  - "OG" (Ongoing),

  - "CM" (Completed with Prescription),

  - "CMNP" (Completed without Prescription),

  - "CN" (Cancelled).


• **action**: string - Current action for the appointment. Possible values can be 

    - created

    - modified

    - completed

• **partner_meta**: key value pair specified by `partner` while creating appointment.  

• **timestamp**: string (ISO 8601) - The date and time when the event occurred.

• **custom_attibutes**: complete set of custom attributes(inclusing tags and labels) defined against this appointment. occurred.

• **sa_ids**: List of self assessment IDs.

• **workflow_data**: List of self assessment data.

**Example Webhook Request**

**Endpoint:** [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)

**Method:** POST



## OpenAPI

````yaml post /registered_url_for_assessment_taken_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_assessment_taken_events:
    post:
      tags:
        - Appointment Webhooks
      summary: Assessment Taken
      description: >-

        When an assessment linked to the appointment is completed, a webhook
        event is sent to registered webhooks with details about the appointment,
        including the appointment ID, status, doctor ID, patient ID, and event
        type.


        **Field Definitions**


        • **event**: string - The type of resource for which event is generated.
        Here, it will be `appointment.assessments.taken`.


        • **service**: string - The type of service. For appointments, this will
        be `appointment`.


        • **data**: object - Contains detailed information about the appointment
        event.


        • **appointment_id**: string - Unique identifier for the appointment.


        • **doctor_id**: string - Unique identifier for the doctor.


        • **patient_id**: string - Unique identifier for the patient.


        • **status**: string - Status of the appointment. Possible values can
        be 

          - "BK" (Booked),

          - "OG" (Ongoing),

          - "CM" (Completed with Prescription),

          - "CMNP" (Completed without Prescription),

          - "CN" (Cancelled).


        • **action**: string - Current action for the appointment. Possible
        values can be 

            - created

            - modified

            - completed

        • **partner_meta**: key value pair specified by `partner` while creating
        appointment.  


        • **timestamp**: string (ISO 8601) - The date and time when the event
        occurred.


        • **custom_attibutes**: complete set of custom attributes(inclusing tags
        and labels) defined against this appointment. occurred.


        • **sa_ids**: List of self assessment IDs.


        • **workflow_data**: List of self assessment data.


        **Example Webhook Request**


        **Endpoint:**
        [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)


        **Method:** POST
      operationId: AssessmentTakenAppointmentWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - event
                - event_time
                - timestamp
                - client_id
                - business_id
                - data
              properties:
                event:
                  type: string
                  example: appointment.assessments.taken
                  description: Type of event
                event_time:
                  type: integer
                  example: 1749544696
                  description: Event occurred timestamp
                service:
                  type: string
                  example: appointment
                  description: Service related to the event
                transaction_id:
                  type: string
                  example: d-bcebe31d-5a73-4d05-bd4f-0fdef45dcb86
                  description: Transaction ID for the event
                timestamp:
                  type: integer
                  example: 1730189586
                  description: Timestamp of the event
                business_id:
                  type: string
                  example: '75682005283056'
                  description: Business ID for the appointment
                client_id:
                  type: string
                  example: ''
                  description: Client ID for the appointment
                data:
                  type: object
                  required:
                    - appointment_id
                    - doctor_id
                    - patient_id
                    - clinic_id
                    - status
                    - created_at
                    - modified_at
                  properties:
                    appointment_id:
                      type: string
                      example: api-abb67007-1e53-4f0f-b428-a4bc025468a4
                      description: Unique appointment ID
                    clinic_id:
                      type: string
                      example: 678faea412e547001db5c639
                      description: Identifier for the clinic
                    created_at:
                      type: integer
                      example: 1749544579
                      description: Creation timestamp
                    custom_attributes:
                      type: object
                      properties:
                        label:
                          type: array
                          items:
                            type: string
                          example:
                            - vital_submitted
                        tags:
                          type: array
                          items:
                            type: string
                          example:
                            - '87'
                      description: Custom attributes for the event
                    doctor_id:
                      type: string
                      example: '171458899473447'
                      description: Identifier for the doctor
                    modified_at:
                      type: integer
                      example: 1749544696
                      description: Modification timestamp
                    partner_appointment_id:
                      type: string
                      example: 67ce9032abfba8001d17ddd2
                      description: Partner's appointment ID
                    partner_clinic_id:
                      type: string
                      example: CL04
                      description: Partner’s clinic identifier
                    partner_doctor_id:
                      type: string
                      example: 1712660285igfewifwe
                      description: Partner’s doctor identifier
                    partner_meta:
                      type: object
                      properties:
                        key1:
                          type: string
                          example: value1
                      description: Partner-specific metadata
                    partner_patient_id:
                      type: string
                      example: 77237637763817-17
                      description: Partner’s patient identifier
                    patient_id:
                      type: string
                      example: '174436114490384'
                      description: Identifier for the patient
                    sa_ids:
                      type: array
                      items:
                        type: string
                      example:
                        - sa_25061014072610653
                      description: List of SA IDs
                    status:
                      type: string
                      example: CK
                      description: Status of the appointment
                    workflow_data:
                      type: object
                      properties:
                        sa_25061014072610653:
                          type: string
                          example: '3970'
                      description: Workflow data related to the appointment
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false

````